# Required
<span class="source-link">[[Source]](src/options/options.md#L69)</span>
```pony
primitive val Required
```

## Constructors

### create
<span class="source-link">[[Source]](src/options/options.md#L69)</span>


```pony
new val create()
: Required val^
```

#### Returns

* [Required](options-Required) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/options/options.md#L70)</span>


```pony
fun box eq(
  that: Required val)
: Bool val
```
#### Parameters

*   that: [Required](options-Required) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/options/options.md#L70)</span>


```pony
fun box ne(
  that: Required val)
: Bool val
```
#### Parameters

*   that: [Required](options-Required) val

#### Returns

* [Bool](builtin-Bool) val

---

